## podbrowser 0.03

=== Makefile ===
# $Id: Makefile,v 1.2 2004/09/12 14:23:03 jodrell Exp $
NAME=podbrowser
PREFIX=/usr/local
BINDIR=$(PREFIX)/bin
DATADIR=$(PREFIX)/share
ICONDIR=$(DATADIR)/icons/hicolor/48x48/apps
MANDIR=$(DATADIR)/man/man1

all: podbrowser

podbrowser:
	@mkdir -p build

	perl -ne 's!\@PREFIX\@!$(PREFIX)!g ; s!\@LIBDIR\@!$(LIBDIR)!g ; print' < $(NAME).pl > build/$(NAME)
	pod2man $(NAME).pl | gzip -c > build/$(NAME).1.gz

install:
	mkdir -p	$(BINDIR) \
			$(DATADIR)/$(NAME) \
			$(DATADIR)/applications \
			$(ICONDIR) \
			$(MANDIR)
	install -m 0644 $(NAME).glade		$(DATADIR)/$(NAME)/
	install -m 0644 $(NAME).png		$(ICONDIR)/
	install -m 0644 $(NAME).desktop		$(DATADIR)/applications/
	install -m 0755 build/$(NAME)		$(BINDIR)/$(NAME)
	install -m 0644 build/$(NAME).1.gz	$(MANDIR)/

clean:
	rm -rf build

## podbrowser 0.10

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.2 2004/09/12 14:23:03 jodrell Exp $
+# $Id: Makefile,v 1.4 2005/10/05 10:07:40 jodrell Exp $
 NAME=podbrowser
 PREFIX=/usr/local
 BINDIR=$(PREFIX)/bin
@@ -23,8 +23,9 @@
 	install -m 0644 $(NAME).glade		$(DATADIR)/$(NAME)/
 	install -m 0644 $(NAME).png		$(ICONDIR)/
 	install -m 0644 $(NAME).desktop		$(DATADIR)/applications/
+	install -m 0644 build/$(NAME).1.gz	$(MANDIR)/
 	install -m 0755 build/$(NAME)		$(BINDIR)/$(NAME)
-	install -m 0644 build/$(NAME).1.gz	$(MANDIR)/
+	install -m 0755 html2ps-$(NAME)		$(BINDIR)/html2ps-$(NAME)
 
 clean:
 	rm -rf build

## podbrowser 0.12

=== Makefile ===
--- 
+++ 
@@ -27,5 +27,18 @@
 	install -m 0755 build/$(NAME)		$(BINDIR)/$(NAME)
 	install -m 0755 html2ps-$(NAME)		$(BINDIR)/html2ps-$(NAME)
 
+po: $(NAME).pl $(NAME).glade
+	xgettext -kgettext -lperl $(NAME).pl
+	sed -i s/charset=CHARSET/charset=UTF-8/ messages.po
+	xgettext -lGlade -j $(NAME).glade
+
+mo:
+	if test -d "locale/$$LANG/LC_MESSAGES"; then \
+		echo "locale/$$LANG/LC_MESSAGES exists"; \
+	else \
+		mkdir -p "locale/$$LANG/LC_MESSAGES"; \
+	fi
+	msgfmt -o "locale/$$LANG/LC_MESSAGES/$(NAME).mo" "$(NAME).$$LANG.po"
+
 clean:
 	rm -rf build

=== debian/changelog ===
podbrowser (0.12-2) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Switch to dh7
  * debian/control:
    + Depends: libgtk2-ex-simple-list-perl
    + DM-Upload-Allowed: yes
  * Bumped Standards-Version to 3.8.4 (no changes necessary)
  * Updated debian/watch, noting upstream is effectively dead
  * + debian/patches/missing_icon
      Closes: #577419 (Can't call method 'get_filename' on an
                       undefined value)

 -- Jeffrey Ratcliffe <Jeffrey.Ratcliffe@gmail.com>  Fri, 14 May 2010 10:46:14 +0200

podbrowser (0.12-1) unstable; urgency=low

  * New upstream release
  * Debianise Ubuntu package
    Closes: #386270 (+ libgtk2-ex-podviewer-perl dependency)
    Closes: #362648 (podbrowser doesn't show on Gnome menu)
    Closes: #363506 (podbrowser: new upstream available)
    Closes: #363508 (podbrowser: new upstream available)
    Closes: #455466 (ITH: podbrowser)
  * Update Standards-Version to 3.7.3
  * Fixed debian-rules-ignores-make-clean-error lintian warning
  * Bumped watch file

 -- Jeffrey Ratcliffe <Jeffrey.Ratcliffe@gmail.com>  Wed, 12 Dec 2007 21:59:10 +0100

podbrowser (0.10-0ubuntu2) gutsy; urgency=low

  * Update Depends on libgtk2-ex-podviewer-perl to version 0.17 (#122392)

 -- Arthur Loiret <arthur.loiret@gmail.com>  Wed, 27 Jun 2007 22:09:50 +0200

podbrowser (0.10-0ubuntu1) gutsy; urgency=low

  * New upstream release
  * Remove patche 10Makefile.dpatch:
    + debian/rules: gives $(DESTDIR) to Makefile throw $(PREFIX) instead
  * Remove patch  20podbrowser.dpatch: applied upstream
  * Update debian/patches/00list
  * debian/rules: remove upstream ChangeLog from dh_installchangelogs, file
    does not exists anymore.
  * Update Standards-Version to 3.7.2
  * Modify Maintainer value to match Debian-Maintainer-Field Spec

 -- Arthur Loiret <freacky22527@free.fr>  Thu,  7 Jun 2007 11:03:28 +0200

podbrowser (0.03-1.1ubuntu1) edgy; urgency=low

  * Merge from debian unstable. Remaining changes:
    - 11Desktop.dpatch to remove TryExec.

 -- William Alexander Grant <william.grant@ubuntu.com.au>  Thu,  7 Sep 2006 13:53:47 +1000

podbrowser (0.03-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixes dependency on libgtk2-podviewer-perl to the new 
    libgtk2-ex-podviewer-perl (Closes: #384937)
  * Adds patch to podbrowser.pl to adapt to the current class location

 -- Rudy Godoy <rudy@kernel-panik.org>  Mon,  4 Sep 2006 08:52:01 -0500

podbrowser (0.03-1ubuntu1) dapper; urgency=low

  * debian/rules: added dh_iconcache
  * 11Desktop.dpatch:
    - Remove TryExec line (Closes Malone #40721)

 -- Szilveszter Farkas (Phanatic) <Szilveszter.Farkas@gmail.com>  Mon,  8 May 2006 00:39:45 +0200

podbrowser (0.03-1) unstable; urgency=low

  * New upstream version.
  * Added versioned dependency to libgtk2-gladexml-perl.
  * Added dependency to libgnome2-perl.
  * Added debian/watch.

 -- Florian Ragwitz <florian@mookooh.org>  Sat, 18 Sep 2004 21:13:36 +0200

podbrowser (0.02-1) unstable; urgency=low

  * Initial Release (Closes: #270606).

 -- Florian Ragwitz <florian@mookooh.org>  Fri,  3 Sep 2004 18:03:06 +0200

=== debian/control ===
Source: podbrowser
Section: perl
Priority: optional
Maintainer: Jeffrey Ratcliffe <Jeffrey.Ratcliffe@gmail.com>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: perl
Standards-Version: 3.8.4
DM-Upload-Allowed: yes

Package: podbrowser
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, libgtk2-perl, libgtk2-gladexml-perl (>= 1.001), libgtk2-ex-podviewer-perl (>= 0.16), libgnome2-perl, liblocale-gettext-perl, gnome-icon-theme, libhtml-parser-perl, libgtk2-ex-simple-list-perl
Recommends: libgnome2-0
Suggests: perl-doc
Description: Documentation browser for Perl
 PodBrowser is a documentation browser for Perl. You can view the
 documentation for Perl's builtin functions, its "perldoc" pages,
 pragmatic modules and the default and user-installed modules.
 .
 PodBrowser is a more feature-complete version of podviewer, which comes
 with libgtk2-podviewer-perl.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=$(CURDIR)/debian/podbrowser

%:
	dh $@

override_dh_auto_build:
	$(MAKE) all PREFIX=/usr

override_dh_auto_install:
	$(MAKE) install PREFIX=$(DESTDIR)/usr

dh_auto_clean:
	dh_clean debian/podbrowser.1

=== debian/watch ===
version=3
http://jodrell.net/files/unsupported/podbrowser/podbrowser-(.*?).tar.gz debian uupdate
